### Class

# Ggit PushOptions

#### Description [src]

    class Ggit.PushOptions : GObject.Object
    {
      /* No available fields */
    }

Represents a git push options.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### ggit_push_options_new

Create a new push options object.

#### Instance methods

###### ggit_push_options_get_parallelism

Get the number of parallel threads to use when creating the pack file to push. The special value 0 indicates that the number of threads will be automatically detected.

###### ggit_push_options_get_remote_callbacks

Gets the remote callbacks object.

###### ggit_push_options_set_parallelism

Set the number of parallel threads to use when creating the pack file to push. The special value 0 can be specified for `parallelism` indicating that the number of threads will be automatically detected.

###### ggit_push_options_set_remote_callbacks

Set the remote callbacks for the push options.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.PushOptions:callbacks

No description available.

###### Ggit.PushOptions:parallelism

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitPushOptionsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.